Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.codec.binary
Class BaseNCodecOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              org.apache.commons.codec.binary.BaseNCodecOutputStream

All Implemented Interfaces:
  Closeable, Flushable

Direct Known Subclasses:
  Base32OutputStream, Base64OutputStream

    public class BaseNCodecOutputStream

extends FilterOutputStream

Abstract superclass for Base-N output streams.

Since:
  1.5
Version:
  $Id: BaseNCodecOutputStream.java 1376694 2012-08-23 20:55:04Z tn $

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`BaseNCodecOutputStream(OutputStream out, BaseNCodec basedCodec, boolean doEncode)`

Method Summary
`void` | `close()` Closes this output stream and releases any system resources associated with the stream.
`void` | `flush()` Flushes this output stream and forces any buffered output bytes to be written out to the stream.
`void` | `write(byte[] b, int offset, int len)` Writes `len` bytes from the specified `b` array starting at `offset` to this output stream.
`void` | `write(int i)` Writes the specified `byte` to this output stream.

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseNCodecOutputStream

    public BaseNCodecOutputStream(OutputStream out,
                                  BaseNCodec basedCodec,
                                  boolean doEncode)

Method Detail

### write

    public void write(int i)
               throws IOException

  Writes the specified `byte` to this output stream.

  Overrides:
    `write` in class `FilterOutputStream`
  Parameters:
    `i` - source byte
  Throws:
    `IOException` - if an I/O error occurs.

### write

    public void write(byte[] b,
                      int offset,
                      int len)
               throws IOException

  Writes `len` bytes from the specified `b` array starting at `offset` to this output stream.

  Overrides:
    `write` in class `FilterOutputStream`
  Parameters:
    `b` - source byte array
    `offset` - where to start reading the bytes
    `len` - maximum number of bytes to write
  Throws:
    `IOException` - if an I/O error occurs.
    `NullPointerException` - if the byte array parameter is null
    `IndexOutOfBoundsException` - if offset, len or buffer size are invalid

### flush

    public void flush()
               throws IOException

  Flushes this output stream and forces any buffered output bytes to be written out to the stream.

  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `FilterOutputStream`
  Throws:
    `IOException` - if an I/O error occurs.

### close

    public void close()
               throws IOException

  Closes this output stream and releases any system resources associated with the stream.

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `FilterOutputStream`
  Throws:
    `IOException` - if an I/O error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Apache Software Foundation. All Rights Reserved.